| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::TangentSpaceCalc::Result Struct Reference

The result of having built a tangent space basis. More...

`#include <OgreTangentSpaceCalc.h>`

## Public Attributes
IndexRemapList | indexesRemapped
| A list of indexes which were affected by splits. More...
VertexSplits | vertexSplits
| A list of vertex indices which were split off into new vertices because of mirroring. More...

## Detailed Description

The result of having built a tangent space basis.

## Member Data Documentation

## ◆ vertexSplits

VertexSplits Ogre::TangentSpaceCalc::Result::vertexSplits

A list of vertex indices which were split off into new vertices because of mirroring.

First item in each pair is the source vertex index, the second value is the split vertex index.

## ◆ indexesRemapped

IndexRemapList Ogre::TangentSpaceCalc::Result::indexesRemapped

A list of indexes which were affected by splits.

You can use this if you have other triangle-based data which you will need to alter to match.

The documentation for this struct was generated from the following file:

- OgreTangentSpaceCalc.h